Web API Reference | MapGuide Open Source

- Overview
- Modules
- Classes

# MgPropertyDefinitionCollection Class Reference
[MgPropertyDefinitionCollection]

This class contains property definitions for a feature class and makes up a portion of the complete feature class definition. More...

Inherits MgCollection.

List of all members.

## Public Member Functions
virtual void | Add (MgPropertyDefinition *value)
| Adds the specified item to the end of the collection.
virtual void | Clear ()
| Removes all items from the collection.
virtual bool | Contains (CREFSTRING name)
| Returns true if the collection contains the specified item, false otherwise.
virtual bool | Contains (const MgPropertyDefinition *value)
| Returns true if the collection contains the specified item, false otherwise.
virtual INT32 | GetCount () const
| Gets the number of items in the collection.
virtual MgPropertyDefinition * | GetItem (CREFSTRING name)
| Gets the item in the collection with the specified name.
virtual MgPropertyDefinition * | GetItem (INT32 index) const
| Gets the item in the collection at the specified index.
virtual INT32 | IndexOf (CREFSTRING name) const
| Returns the index of the specified item (by name) in the collection or -1 if the item does not exist.
virtual INT32 | IndexOf (const MgPropertyDefinition *value) const
| Returns the index of the specified item in the collection or -1 if the item does not exist.
virtual void | Insert (INT32 index, MgPropertyDefinition *value)
| Inserts the specified item at the specified index within the collection. Items following the insertion point are moved down to accommodate the new item.
| MgPropertyDefinitionCollection ()
| Constructs a PropertyDefinitionCollection. Collection is initially empty.
virtual bool | Remove (MgPropertyDefinition *value)
| Removes the specified item from the collection.
virtual void | RemoveAt (INT32 index)
| Removes the specified item from the collection.
virtual void | SetItem (INT32 index, MgPropertyDefinition *value)
| Sets the item in the collection at the specified index to the specified value.

## Detailed Description

This class contains property definitions for a feature class and makes up a portion of the complete feature class definition.

Remarks:
  MgClassDefinition encapsulates the entire Fdo feature class definition. The following property definitions may be contained in the collection:

  Class | Description
  --- | ---
  MgDataPropertyDefinition | Defines properties consisting of simple value types, or collections of simple value types.
  MgGeometricPropertyDefinition | Defines geometric properties
  MgObjectPropertyDefinition | Defines properties which are containers for or collections of objects belonging to another feature class

Note:
  Collections are not thread safe and ordered in the sequence of add operation.

Comments or suggestions? Send us feedback.